From 6866edb3c2a738cf14abf3df79db4fc4ce8ec1e4 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 20:17:46 -0500
Subject: [PATCH 11/17] avoid shadow vars: tablecmds.c: copyTuple

commit 6f70d7ca1d1937a9f7b79eff6fb18ed1bb2a4c47
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Wed May 5 12:14:21 2021 -0400

    Have ALTER CONSTRAINT recurse on partitioned tables
---
 src/backend/commands/tablecmds.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 1c0cf7c1a06..d6483cf1f9a 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -10865,7 +10865,6 @@ ATExecAlterConstrRecurse(Constraint *cmdcon, Relation conrel, Relation tgrel,
 		{
 			Form_pg_trigger tgform = (Form_pg_trigger) GETSTRUCT(tgtuple);
 			Form_pg_trigger copy_tg;
-			HeapTuple	copyTuple;
 
 			/*
 			 * Remember OIDs of other relation(s) involved in FK constraint.
-- 
2.17.1

